Bug 1600678 - Flavor: Toolbar buttons do not work when viewing list of instances for a specific Flavor
Summary: Flavor: Toolbar buttons do not work when viewing list of instances for a spec...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Hilda Stastna
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ui:cloud
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-12 18:33 UTC by Harpreet Kataria
Modified: 2019-08-22 00:55 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:30 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:37 UTC

Description Harpreet Kataria 2018-07-12 18:33:52 UTC
Description of problem:Flavor: Toolbar buttons do not work when viewing list of instances for a specific Flavor


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. Go to Flavor summary screen
2. Click on Instances link to view list of instances for a selected flavor
3. Click on any toolbar button, nothing happens, user remains on list of instances screen.

Actual results: Form does not load for a button that was clicked on, instead see a message in log
I, [2018-07-12T14:08:08.896366 #10909] INFO -- : Processing by FlavorController#button as JS
I, [2018-07-12T14:08:08.896609 #10909] INFO -- : Parameters: {"pressed"=>"instance_miq_request_new", "id"=>"10000000000134"}
I, [2018-07-12T14:08:08.946103 #10909] INFO -- : No template found for FlavorController#button, rendering head :no_content


Expected results: It should load a form for the button that was pressed.


Additional info:

Comment 2 Dave Johnson 2018-07-12 18:42:28 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 4 Hilda Stastna 2018-07-17 09:28:14 UTC
Note:
Some of the toolbar buttons do not work when viewing list of Instances also from other pages under Compute > Clouds. I will try to fix them, too.

PR fixing the problems: https://github.com/ManageIQ/manageiq-ui-classic/pull/4301

Comment 5 CFME Bot 2018-08-27 20:43:32 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/59936ebc161907f63d010c78e64ca5a49838a5c6
commit 59936ebc161907f63d010c78e64ca5a49838a5c6
Author:     Hilda Stastna <hstastna@redhat.com>
AuthorDate: Mon Jul 16 12:32:46 2018 -0400
Commit:     Hilda Stastna <hstastna@redhat.com>
CommitDate: Mon Jul 16 12:32:46 2018 -0400

    Make toolbar buttons work when viewing Instances of a Flavor

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1600678

 app/controllers/ems_common.rb | 3 +
 app/controllers/flavor_controller.rb | 10 +-
 2 files changed, 4 insertions(+), 9 deletions(-)

Comment 6 Matouš Mojžíš 2018-09-13 12:08:05 UTC
Verified in 5.10.0.14. Toolbar buttons do work when viewing list of instances redirected from flavors relationships.

Comment 7 errata-xmlrpc 2019-02-07 23:03:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.